Package org.eclipse.emf.compare.utils

## Interface IEqualityHelper

All Superinterfaces:
  `Adapter`

All Known Implementing Classes:
  `EqualityHelper`

    public interface IEqualityHelper
    extends Adapter

Use to compare objects by the `IMatchEngine`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

### Method Summary

All Methods Instance Methods Abstract Methods
`Comparison` `getTarget()`
`boolean` `matchingAttributeValues​(Object object1, Object object2)` This should only be used if the two given Objects are known not to be instances of EObjects.
`boolean` `matchingValues​(Object object1, Object object2)` Check that the two given values are "equal", considering the specifics of EMF.

### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

`isAdapterForType, notifyChanged, setTarget`

### Method Detail

#### matchingValues

    boolean matchingValues​(Object object1,
                           Object object2)

Check that the two given values are "equal", considering the specifics of EMF.

Parameters:
  `object1` - First of the two objects to compare here.
  `object2` - Second of the two objects to compare here.
Returns:
  `true` if both objects are to be considered equal, `false` otherwise.

#### matchingAttributeValues

    boolean matchingAttributeValues​(Object object1,
                                    Object object2)

This should only be used if the two given Objects are known not to be instances of EObjects. EObjects passed for comparison through here will be compared through their `Object.equals(Object)` implementation.

Parameters:
  `object1` - First of the two objects to compare here.
  `object2` - Second of the two objects to compare here.
Returns:
  `true` if both objects are to be considered equal, `false` otherwise.

#### getTarget

    Comparison getTarget()

Specified by:
  `getTarget` in interface `Adapter`
See Also:
  `Adapter.getTarget()`